# Contributing

First off, thank you for considering contributing to GeoStats.jl.
It’s people like you that make this project so much fun.
Below are a few suggestions to speed up the collaboration process.

## Reporting issues

If you are experiencing issues or have discovered a bug, please
report it on GitHub. To make the resolution process easier, please
include the version of Julia and GeoStats.jl in your writeup.
These can be found with two commands:

```julia
julia> versioninfo()
pkg> status
```

## Feature requests

If you have suggestions of improvement or algorithms that you would like
to see implemented in GeoStats.jl, please open an issue on GitHub.
Suggestions as well as feature requests are very welcome.

## Code contribution

If you have code that you would like to contribute to GeoStats.jl,
that is awesome! Please open an issue before you create the pull
request on GitHub so that we make sure your idea is aligned with
our goals for the project.

You can also develop your own solver independently, under your own
license terms. Please check the [Developer guide](devguide.md)
for information on how to write solvers that are compatible with the
framework.
